unit TablePages;

interface

uses Windows,Classes,SysUtils,TableCells,TableCellMgr,BaseObjs;

type

     TTablePage= class(TBaseObj)
                private
                 FOwner:TBaseObj;
                 FCells:TCellMgr;
                protected

                public
                  constructor Create(AOwner:TBaseObj); reintroduce;virtual;
                  destructor Destroy; override;

                  property Cells:TCellMgr read FCells;

                published

                end;


implementation

uses Tables;

constructor TTablePage.Create(AOwner:TBaseObj);
begin
 inherited Create;
 FOwner:=AOwner;
 FCells:=TCellMgr.Create;
 Name:='Page '+IntToStr(TTable(FOwner).PageCount);
end;

destructor TTablePage.Destroy;
begin

 FOwner:=nil;
 FCells.Free;
 inherited Destroy;
end;

end.
