unit OGLMisc;

interface

uses Windows,Colors,OGL,Lights;

type

   TGLColor=array[0..3]of single;  //0=red 1=greene 2=blue 3=alpha
   PGLColor=^TGLColor;

   TOGLTex=record
            TexID:DWord;

           end;
   POGLTex=^TOGLTex;

   TGLBuffer=record
              DisplayList:DWord;

             end;
   PGLBuffer=^TGLBuffer;

function GLColFromARGB(ARGB:TARGB):TGLColor;
function Clamp255(Val:DWord):Single;
function LCToGLC(C:TLightColor):TGLColor;

implementation

function GLColFromARGB(ARGB:TARGB):TGLColor;
begin
 Result[0]:=GetRS(ARGB);
 Result[1]:=GetGS(ARGB);
 Result[2]:=GetBS(ARGB);
 Result[3]:=GetAS(ARGB);
end;

function Clamp255(Val:DWord):Single;
begin
 if Val>255 then
 Val:=255;
 Result:=Val/255;
end;

function LCToGLC(C:TLightColor):TGLColor;
begin
Result[0]:=C.R;
Result[1]:=C.G;
Result[2]:=C.B;
Result[3]:=1;
end;


end.
