unit ImgICO;


interface

uses Windows,SysUtils,Classes,WinUtils,BaseObjs,DIB,Images
  ,Graphics;


function LoadICO(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
procedure SaveICO(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);


const

 Desc='Icon Image';

var

 BMPSaveEncoded:boolean=true;

implementation

function LoadICO(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
var DIB:TDIB;
    ICO:TIcon;
begin

try

DIB:=TDIB.Create;
ICO:=TIcon.Create;

case Loc of
ilFile:ICO.LoadFromFile(Path);
ilStream:ICO.LoadFromStream(Stream);
end;

ICO.Handle;    // important line
DIB.Assign(ICO);

except
 raise Exception.Create('ImgICO.pas - Error in LoadICO');

end;


Result:=DIB;

end;

procedure SaveICO(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);
begin
 raise Exception.Create('ImgICO.pas - Error in SaveICO  -  can not save icons');
end;



initialization

Images.RegisterImgFormat(['.ico'],Desc,LoadICO,nil);

finalization


end.
