unit ImgPNG;

interface

uses Windows,SysUtils,Classes,DIB,GraphicEx,Graphics,Images;


function LoadPNG(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
procedure SavePNG(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);

const
 Desc='PNG Image';

implementation


function LoadPNG(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
var PNG:TPNGGraphic;
    DIB:TDIB;
begin

try

PNG:=TPNGGraphic.Create;
case Loc of
ilFile:PNG.LoadFromFile(Path);
ilStream:PNG.LoadFromStream(Stream);
end;

DIB:=TDIB.Create;
DIB.Assign(PNG);
PNG.Free;

except
 raise Exception.Create('ImgPNG.pas - Error in LoadPNG');

end;


Result:=DIB;


end;


procedure SavePNG(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);
begin
  raise Exception.Create('ImgPNG.pas - Error in SavePNG  -  can not save PNG');
end;




initialization

Images.RegisterImgFormat(['.png'],Desc,LoadPNG,nil);


end.
