unit Types3D;

interface

uses Windows;


type

 TInt=LongInt;
 TSingle=single;


 TInt2=record
          case Integer of
           0:(X,
           Y:TInt);
           1:(Arr:array[0..1]of TInt);
         end;

 TInt3=record
         case Integer of
           0:(X,
              Y,
              Z:TInt);
           1:(Arr:array[0..2]of TInt);
         end;

 TSingle2=record
           case Integer of
           0:(X,
           Y:TSingle);
           1:(Arr:array[0..1]of TSingle);

          end;

 TSingle3=record
           case Integer of
           0:(X,
              Y,
              Z:TSingle);
           1:(Arr:array[0..2]of TSingle);


          end;


 TPoint2I=TInt2;
 TPoint3I=TInt3;
 TPoint2S=TSingle2;
 TPoint3S=TSingle3;

 TAngle3S=TSingle3;


 PPoint2I=^TPoint2I;
 PPoint3I=^TPoint3I;
 PPoint2S=^TPoint2S;
 PPoint3S=^TPoint3S;

 PAngle3S=^TAngle3S;

 TPoint=TPoint2I;


 TRect2I=record
         case Integer of
         0:( X1,
          Y1,
          X2,
          Y2:TInt);
         1:( Left,
          Top,
          Right,
          Bottom:TInt);
         2:(TopLeft,
         BottomRight:TPoint2I);
        end;


 TRect3I=record
          case Integer of
          0:(P1,
          P2,
          P3,
          P4:TPoint3I);
          1:(TopLeft,
          TopRight,
          BottomLeft,
          BottomRight:TPoint3I);
         end;


  TRect2S=record
         case Integer of
         0:( X1,
          Y1,
          X2,
          Y2:TSingle);
         1:( Left,
          Top,
          Right,
          Bottom:single);
         2:(TopLeft,
         BottomRight:TPoint2S);
        end;


 TRect3S=record
          case Integer of
          0:(P1,
          P2,
          P3,
          P4:TPoint3S);
          1:(TopLeft,
          TopRight,
          BottomLeft,
          BottomRight:TPoint3S);
         end;

 TBoundingInfo=record
               Min:TPoint3S;
               Max:TPoint3S;
               Center:TPoint3S;
               Rad:single;
              end;

 PRect2I=^TRect2I;

 PRect3I=^TRect3I;

 PRect2S=^TRect2S;

 PRect3S=^TRect3S;


 TRect=TRect2I;



 TVector=TSingle3;
 TVector2=TSingle2;

 TVertex=TPoint3S;

 TTexCoord=TSingle2;

 PVector=^TVector;
 PVector2=^TVector2;
 PVertex=^TVertex;
 PTexCoord=^TTexCoord;


 PMatrix = ^TMatrix;
 TMatrix = packed record
    case Integer of
      0 : (_11, _12, _13, _14 : Single;
           _21, _22, _23, _24 : Single;
           _31, _32, _33, _34 : Single;
           _41, _42, _43, _44 : Single);
      1 : (m : array [0..3, 0..3] of Single);
      2:  (f :array[0..15]of Single); 
  end;

 TPointDynArray=array of TPoint3S;

 TPlane=record
         case Integer of
         0:(A,B,C,D:single);
         1:(Arr:Array[0..3]of single);
        end;


const

  NullPoint:TPoint3S=(X:0;Y:0;Z:0);
  NullRect:TRect=(X1:0;Y1:0;X2:0;Y2:0);
  NullMatrix:TMatrix=(f:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0));

  IdentityMatrix: TMatrix = (f:(1, 0, 0, 0,
                             0, 1, 0, 0,
                             0, 0, 1, 0,
                             0, 0, 0, 1));

const
   cPIdiv180 : Single = 0.017453292;
   c180divPI : Single = 57.29577951;
   PI:Single=3.1415926535897932385;
   PIdiv2: Single = 3.1415926535897932385 / 2;
   PImul2:Single= 3.1415926535897932385 * 2;

implementation




end.
