unit TableCells;

interface

uses Windows,Classes,SysUtils,TableTypes,Colors;

type


  TCell=class(TObject)
        public
         Pos:TCellPos;
         Name:string;
         Content:TCellContent;
         Style:TCellStyle;
         Data:PCellData;
         Obj:TObject;
         Floating:boolean;

         constructor Create;virtual;
         destructor Destroy;override;

        end;

implementation

constructor TCell.Create;
begin
 inherited Create;
 Name:='';
 Style.FontName:='Arial';
 Style.FontSize:=10;
 Style.FontColor:=colBlack;
 Style.BackColor:=colWhite;
 Style.Options:=[coLeft];
 Data:=nil;
 Obj:=nil;
 Content:=ccText;

 Floating:=false;
end;

destructor TCell.Destroy;
begin
 if (Data<>nil) then
  begin
   Data^.Stream.Free;
   FreeMem(Data);
   Data:=nil;
  end;
 inherited Destroy;
end;


end.
