unit TableExport;

interface

uses Windows,Classes,SysUtils,TableMain;


procedure TableToText(ATable:TTable;AFile:string);
procedure TableToCSVXP(ATable:TTable;AFile:string);
procedure TableToCSV2K(ATable:TTable;AFile:string);


implementation

procedure TableToText(ATable:TTable;AFile:string);
var List:TStringList;
    s:string;
    X,Y:LongInt;
begin
List:=TStringList.Create;

for Y:=0 to ATable.RowCount-1 do
begin
 S:='';
 for X:=0 to ATable.ColCount-1 do
  begin
   S:=S+ATable.CellsIdx[X,Y]+#9;
  end;
 List.Add(S);
end;

List.SaveToFile(AFile);
List.Free;
end;

procedure TableToCSVXP(ATable:TTable;AFile:string);
var List:TStringList;
    s:string;
    X,Y:LongInt;
begin
List:=TStringList.Create;

for Y:=0 to ATable.RowCount-1 do
begin
 S:='';
 for X:=0 to ATable.ColCount-1 do
  begin
   S:=S+ATable.CellsIdx[X,Y]+';';
  end;
 List.Add(S);
end;

List.SaveToFile(AFile);
List.Free;
end;


procedure TableToCSV2K(ATable:TTable;AFile:string);
var List:TStringList;
    s:string;
    X,Y:LongInt;
begin
List:=TStringList.Create;

for Y:=0 to ATable.RowCount-1 do
begin
 S:='';
 for X:=0 to ATable.ColCount-1 do
  begin
   S:=S+'"'+ATable.CellsIdx[X,Y]+'"';
   if X<ATable.ColCount-1 then
    S:=S+',';
  end;
 List.Add(S);
end;

List.SaveToFile(AFile);
List.Free;
end;





end.
