unit TableTypes;

interface

uses Windows,Classes,Colors,Graphics;

type

  TCellPos=record
            Col:LongInt;
            Row:LongInt;
           end;

  TCellContent=(ccText,ccNumber,ccLink,ccFileRef,ccData,ccScript,ccFunction,ccObject);

  TCellOpt=(coLeft,coRight,coCenter);

  TCellOpts=set of TCellOpt;

  TCellFrame=(cfLeft,cfTop,cfRight,cfBottom);

  TCellFrames=set of TCellFrame;

  TCellStyle=record
              FontName:string;
              FontSize:LongInt;
              FontColor: TARGB;
              FontStyle:TFontStyles;
              BackColor: TARGB;
              FrameWidth:byte;
              FrameColor:TARGB;
              Frames:TCellFrames;
              Options:TCellOpts;
             end;

  THeaderFrames=(hfDefault,hfBorders,hfFull);

  THeaderStyle=record
                FontName:string;
                FontSize:LongInt;
                FontColor: TARGB;
                FontStyle:TFontStyles;
                BackColor: TARGB;
                FrameWidth:byte;
                FrameColor:TARGB;
                Frames:TCellFrames;

                Options:TCellOpts;

               end;

  TCellStates=(csFixed,csSelected);

  TCellState=set of TCellStates;

  TDataMode=(dmImage, dmTable, dmSound, dmArchive, dmVideo, dmStrings);

  TCellData=record
              Mode:TDataMode;
              Stream:TMemoryStream;
             end;

  PCellData=^TCellData;

implementation

end.
