unit ArcInfo;

interface

uses Windows,SysUtils,Classes,WinUtils,BaseObjs;

type


TArcInfo = class(TObject)
private
 FFiles:TStringList;
 FName:string;
 FArchiver:string;
 FSize:DWord;

protected

public
  constructor Create;
  destructor Destroy; override;

  procedure Init(AName,AArchiver:string;ASize:DWord;AFiles:TStringList);virtual;

  property Files:TStringList read FFiles;
  property Name:string read FName;
  property Archiver:string read FArchiver;
  property Size:DWord read FSize;


published

end;


implementation

constructor TArcInfo.Create;
begin
 inherited Create;
 FFiles:=TStringList.Create;

end;

destructor TArcInfo.Destroy;
begin
 FFiles.Free;

 inherited Destroy;
end;

procedure TArcInfo.Init(AName,AArchiver:string;ASize:DWord;AFiles:TStringList);
begin
 FName:=AName;
 FSize:=ASize;
 FArchiver:=AArchiver;
 FFiles.Assign(AFiles);

end;

end.
