unit GScene;

interface

uses Windows,SceneEngine,Fog,Sky,SkyBase,Lighting;

function Scene:TSceneEngine;
function Sky:TSky;
function Fog:TFog;
function SkyBox:TSkyBox;
function ActiveSky:TSkyBase;
function SkyPlane:TSkyPlane;
function Lighting:TLighting;

implementation

function Scene:TSceneEngine;
begin
 Result:=TSceneEngine.GetInstance;
end;

function Sky:TSky;
begin
 Result:=TSceneEngine.GetInstance.Sky;
end;

function SkyBox:TSkyBox;
begin
 Result:=TSceneEngine.GetInstance.Sky.SkyBox;
end;

function ActiveSky:TSkyBase;
begin
 Result:=TSceneEngine.GetInstance.Sky.ActiveSky;
end;

function SkyPlane:TSkyPlane;
begin
 Result:=TSceneEngine.GetInstance.Sky.SkyPlane;
end;

function Fog:TFog;
begin
 Result:=TSceneEngine.GetInstance.Fog;
end;

function Lighting:TLighting;
begin
 Result:=TSceneEngine.GetInstance.Lighting;
end;


end.
