unit GfxWin;

interface

uses Windows,SysUtils,Classes,WinUtils,BaseObjs,WindowCls,
     GfxMessages,Messages,GMessages;

type

   TGfxWin=class(TWindow)
   private
     procedure Send(Message:TMessage);
   public
     procedure DefWndProc(var Message: TMessage);override;
     procedure SetHandle(AHandle:THandle);

  end;


implementation


procedure TGfxWin.DefWndProc(var Message: TMessage);
begin
 inherited DefWndProc(Message);
 Send(Message);
end;

procedure TGfxWin.Send(Message:TMessage);
begin
 with GMessages.Messages do
 case Message.Msg of
  WM_SIZE:SendMessage(MSG_GFX_WINDOWRESIZE,Self,nil);
  WM_DESTROY:SendMessage(MSG_GFX_WINDOWFREE,Self,nil);

 end;
end;

procedure TGfxWin.SetHandle(AHandle:THandle);
begin
 Done;
 FHandle:=AHandle;
end;



end.
