unit PortalRoot;

interface

uses Windows, SysUtils, Classes, WinUtils, BaseObjs, Objs3D, Types3D,
  Utils3D, Colors, Textures, BaseMgrs;

type

  TPortalRoot = class(TBase3DObj)
  protected
    function GetInFrustum: boolean; override;
    function GetHasAlpha: boolean; override;

  public

    constructor Create; override;
    destructor Destroy; override;

  end;



implementation

constructor TPortalRoot.Create;
begin
  inherited Create;
  Name := 'Portal Engine Root';
  MoveAbs(0,0,0);

end;

destructor TPortalRoot.Destroy;
begin

  Done;
  inherited Destroy;
end;

function TPortalRoot.GetInFrustum: boolean;
begin
  Result := true;
end;


function TPortalRoot.GetHasAlpha: boolean;
begin
  Result := true;
end;


end.

