unit ImgGIF;

interface

uses Windows,SysUtils,Classes,WinUtils,BaseObjs,Images,DIB
  ,GraphicEx,Graphics;


function LoadGIF(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
procedure SaveGIF(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);


const
 Desc='GIF Image';

implementation


function LoadGIF(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
var GIF:TGIFGraphic;
    DIB:TDIB;
begin

try

GIF:=TGIFGraphic.Create;
case Loc of
ilFile:GIF.LoadFromFile(Path);
ilStream:GIF.LoadFromStream(Stream);
end;

DIB:=TDIB.Create;
DIB.Assign(GIF);
GIF.Free;

except
 raise Exception.Create('ImgGIF.pas - Error in LoadGIF');

end;


Result:=DIB;


end;


procedure SaveGIF(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);
begin
  raise Exception.Create('ImgGIF.pas - Error in SaveGIF  -  can not save GIF');
end;




initialization

Images.RegisterImgFormat(['.gif'],Desc,LoadGIF,nil);


end.
