unit ImgPCX;



interface

uses Windows,SysUtils,Classes,WinUtils,BaseObjs,Images,DIB
  ,PCXImage,Graphics;


function LoadPCX(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
procedure SavePCX(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);


const

 Desc='PCX Image';


implementation

function LoadPCX(Path:string;Stream:TStream;Loc:TImgLoc):TDIB;
var PCX:TPCXImage;
    DIB:TDIB;
begin

try

PCX:=TPCXImage.Create;
case Loc of
ilFile:PCX.LoadFromFile(Path);
ilStream:PCX.LoadFromStream(Stream);
end;

DIB:=TDIB.Create;
DIB.Assign(PCX);
PCX.Free;

except
 raise Exception.Create('ImgPCX.pas - Error in LoadPCX');

end;


Result:=DIB;

end;

procedure SavePCX(DIB:TDIB;Path:string;Stream:TStream;Loc:TImgLoc);
begin
 raise Exception.Create('ImgPCX.pas - Error in SavePCX');
end;



initialization

Images.RegisterImgFormat(['.pcx'],Desc,LoadPCX,nil);

finalization

end.
